lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Otis Gospodnetic <otis_gospodne...@yahoo.com>
Subject Re: Java 1.5 Error w/lucene 1.4rc4
Date Fri, 25 Jun 2004 16:27:10 GMT
Byron, I don't have Nutch sources handy to check, but this can probably
be fixed in Nutch (not Lucene), by using
org.apache.lucene.util.PriorityQueue instead of just PriorityQueue, and
making sure there are no import java.util.* lines and such.

Otis

--- Byron Miller <byronm@gmail.com> wrote:
> While building nutch i ran across this error in
> "org.apache.lucene.util.PriorityQueue" where it appears that java 1.5
> now has "java.util.PriorityQueue" so the compiler is confused.
> 
> Here is the ant error blow:
> 
>     [javac] Compiling 157 source files to
> /home/blogbot/nutch/build/classes
>     [javac]
>
/home/blogbot/nutch/src/java/net/nutch/indexer/IndexOptimizer.java:81:
> reference to PriorityQueue is ambiguous, both class
> org.apache.lucene.util.PriorityQueue in org.apache.lucene.util and
> class java.util.PriorityQueue in java.util match
>     [javac]   private static class ScoreDocQueue extends
> PriorityQueue {
> 
> Thanks,
> -byron
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: lucene-dev-unsubscribe@jakarta.apache.org
> For additional commands, e-mail: lucene-dev-help@jakarta.apache.org
> 
> 


---------------------------------------------------------------------
To unsubscribe, e-mail: lucene-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: lucene-dev-help@jakarta.apache.org


Mime
View raw message